package com.siwei.rsmonitoring.mapper;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDkjbxxHgx;

/**
 * 地块基本信息合规性判定Mapper接口
 * 
 * @author siwei
 * @date 2025-02-10
 */
public interface TDkjbxxHgxMapper 
{
    /**
     * 查询地块基本信息合规性判定
     * 
     * @param id 地块基本信息合规性判定主键
     * @return 地块基本信息合规性判定
     */
    public TDkjbxxHgx selectTDkjbxxHgxById(String id);

    /**
     * 查询地块基本信息合规性判定列表
     * 
     * @param tDkjbxxHgx 地块基本信息合规性判定
     * @return 地块基本信息合规性判定集合
     */
    public List<TDkjbxxHgx> selectTDkjbxxHgxList(TDkjbxxHgx tDkjbxxHgx);

    /**
     * 新增地块基本信息合规性判定
     * 
     * @param tDkjbxxHgx 地块基本信息合规性判定
     * @return 结果
     */
    public int insertTDkjbxxHgx(TDkjbxxHgx tDkjbxxHgx);

    /**
     * 修改地块基本信息合规性判定
     * 
     * @param tDkjbxxHgx 地块基本信息合规性判定
     * @return 结果
     */
    public int updateTDkjbxxHgx(TDkjbxxHgx tDkjbxxHgx);

    /**
     * 删除地块基本信息合规性判定
     * 
     * @param id 地块基本信息合规性判定主键
     * @return 结果
     */
    public int deleteTDkjbxxHgxById(String id);

    /**
     * 删除地块基本信息合规性判定
     *
     * @param dkjbxxId 地块基本信息合规性判定主键
     * @return 结果
     */
    public int deleteTDkjbxxHgxByDkjbxxId(String dkjbxxId);

    /**
     * 批量删除地块基本信息合规性判定
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDkjbxxHgxByIds(String[] ids);
}
